# Stuff to be implemented externally :
Source10: kmodtool_nocommon
%define   kmodtool sh %{SOURCE10}
# End stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.26-5}

%define kmod_name kqemu
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)
%define kvariants PAE "" 
%define upvar ""
%{!?kvariants: %define kvariants %{?upvar}}


Distribution:	CCux
Packager:  	Karsten Brockmann <brockmka@ccux-linux.de>

Summary: 	Kernel module for qemu acceleration
Name: 		%{kmod_name}-kmod
Version:	1.3.0pre11
Release: 	29.%(echo %{kverrel} | tr - _)
Group: 		System/Kernel
License: 	GPL
URL:            http://fabrice.bellard.free.fr/qemu/
Source0:	%{kmod_name}-%{version}.tar.gz
ExclusiveArch:  i686
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
Linux kernel module qemu acceleration.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}


%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup  -c -T -a 0
#%patch0 -p0
for kvariant in %{kvariants} ; do
    cp -a %{kmod_name}-%{version} _kmod_build_$kvariant
done
pwd



%build
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}.%{_target_cpu}${kvariant:+.$kvariant}
    cd _kmod_build_$kvariant
    ./configure
    make KERNDIR="${ksrc}"
    cd ..
done


%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
    install -D -m 0644 _kmod_build_$kvariant/kqemu.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}.%{_target_cpu}${kvariant:+.$kvariant}/extra/%{kmod_name}/kqemu.ko
done

chmod 0755 $RPM_BUILD_ROOT/lib/modules/%{kverrel}.%{_target_cpu}${kvariant:+.$kvariant}/extra/%{kmod_name}/*


%clean
%{__rm} -rf %{buildroot}



%changelog
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-29
- fixed kernel dependency
* Fri Jul 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-28
- kernel 2.6.26-5
* Sun Jul 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-27
- kernel 2.6.26-3
* Sat Jul 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-26
- kernel 2.6.26-2
* Mon Jun 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-25
- kernel 2.6.25-14
* Wed Jun 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-24
- kernel 2.6.25-12
* Sun Jun 22 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-23
- kernel 2.6.25-11
* Sat Jun 14 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-22
- kernel 2.6.25-9
* Fri May 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-21
- kernel 2.6.25-7
* Sat May 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-20
- kernel 2.6.25-6
* Fri May 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-19
- kernel 2.6.25-4
* Sat Apr 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-18
- kernel 2.6.25-3
* Sat Mar 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-17
- kernel 2.6.24-10
* Sun Jan 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-16
- kernel 2.6.24-9
* Thu Jan 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-15
- kernel 2.6.24-8
* Mon Jan 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-14
- kernel 2.6.24-7
* Sun Dec 30 2007 Christian Metzen <metzench@ccux-linux.de> 1.3.0pre11-13
- kernel 2.6.24-6
* Sun Dec 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-12
- kernel 2.6.24-5
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-11
- kernel 2.6.24-3
* Sun Nov 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-10
- kernel 2.6.24-1
* Thu Jun 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-9
- kernel 2.6.21-5
* Mon Jun 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-8
- kernel 2.6.21-4
* Fri May 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-7
- kernel 2.6.21-2
* Fri Apr 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-6
- kernel 2.6.21-1
* Sun Apr 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-5
- kernel 2.6.20-7
* Thu Mar 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-4
- Kernel 2.6.20-5
* Sat Feb 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-3
- Kernel 2.6.20-4
* Thu Feb 22 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-2
- Kernel 2.6.20-3
* Tue Feb 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0pre11-1
- Initial Release
- Kernel 2.6.20-2
